package org.exoplatform.frameworks.davclient.properties;

import org.exoplatform.frameworks.davclient.Const;
import org.w3c.dom.Node;

public class CheckedInProp extends CommonProp {

  protected boolean checkedIn = false;

  public CheckedInProp() {
    this.propertyName = Const.DavProp.CHECKEDIN;
  }
  
  public boolean init(Node node) {
    if (status != Const.HttpStatus.OK) {
      return false;
    }
    checkedIn = true;
    return true;
  }
  
  public boolean isCheckedIn() {
    return checkedIn;
  }
  
}
