package org.exoplatform.frameworks.davclient.properties;

import org.exoplatform.frameworks.davclient.Const;
import org.w3c.dom.Node;

public class CreatorDisplayNameProp extends CommonProp {

  protected String creatorDisplayName = "";
  
  public CreatorDisplayNameProp() {
    this.propertyName = Const.DavProp.CREATORDISPLAYNAME;
  }
  
  public boolean init(Node node) {
    if (status != Const.HttpStatus.OK) {
      return false;
    }
    creatorDisplayName = node.getTextContent();
    return true;
  }
  
  public void setCreatorDisplayName(String creatorDisplayName) {
    this.creatorDisplayName = creatorDisplayName;
  }
  
  public String getCreatorDisplayName() {
    return creatorDisplayName;
  }
  
  
}
