package org.exoplatform.frameworks.davclient.properties;

import org.exoplatform.frameworks.davclient.Const;
import org.w3c.dom.Node;

public class DisplayNameProp extends CommonProp {
  
  protected String displayName = "";

  public DisplayNameProp() {
    this.propertyName = Const.DavProp.DISPLAYNAME;
  }
  
  public boolean init(Node node) {
    if (status != Const.HttpStatus.OK) {
      return false;
    }
    displayName = node.getTextContent();
    return true;
  }
  
  public void setDisplayName(String displayName) {
    this.displayName = displayName;
  }
  
  public String getDisplayName() {
    return displayName;
  }
  
}
