package org.exoplatform.frameworks.davclient.properties;

import org.exoplatform.frameworks.davclient.Const;
import org.w3c.dom.Node;

public class LastModifiedProp extends CommonProp {

  protected String lastModified = "";

  public LastModifiedProp() {
    this.propertyName = Const.DavProp.GETLASTMODIFIED;
  }
  
  public boolean init(Node node) {
    if (status != Const.HttpStatus.OK) {
      return false;
    }
    lastModified = node.getTextContent();
    return false;
  }    
  
  public String getLastModified() {
    return lastModified;
  }
  
}
