package org.exoplatform.frameworks.davclient.properties;

import org.exoplatform.frameworks.davclient.Const;
import org.w3c.dom.Node;

public class VersionNameProp extends CommonProp {

  protected String versionName = "";

  public VersionNameProp() {
    this.propertyName = Const.DavProp.VERSIONNAME;
  }
  
  public boolean init(Node node) {
    if (status != Const.HttpStatus.OK) {
      return false;
    }
    versionName = node.getTextContent();
    return true;
  }
  
  public String getVersionName() {
    return versionName;
  }  
  
}
