package org.exoplatform.services.webdav;

import java.io.InputStream;
import java.util.ArrayList;

import org.exoplatform.services.jcr.RepositoryService;
import org.exoplatform.services.webdav.commands.DavCommand;
import org.exoplatform.services.webdav.request.RequestDocApi;
import org.exoplatform.services.webdav.structs.DMultistatus;

public interface DavServiceApi {

  public DavConfigApi getConfig();
  
  public ArrayList<String> getAvailableCommands();
  
  public DavCommand getCommand(String commandName);
  
  public RepositoryService getRepositoryService();
  
  public DavSessionProvider getSessionProvider();
  
  public InputStream getHtmlWorkspaces(String serverPrefix, String serverApp);
  
  public DMultistatus getPresetWorkspaces(String serverPrefix, RequestDocApi propsInfo);
  
}
