package org.exoplatform.services.webdav.commands;

import org.exoplatform.services.webdav.request.RequestDocApi;

public class DavCopy extends DavCommand {

  public DavCopy() {
    super();
    needDestSession = true;
  }
  
  protected boolean process() {
    RequestDocApi requestDoc = davContext.getDocumentFromRequest();    
    boolean copyed = destSession.copy(srcSession);
    if (!copyed) {
      davContext.answerForbidden();
    } else {
      davContext.answerCreated();
    }    
    return copyed;    
  }  
  
}
