package org.exoplatform.services.webdav.commands;

public class DavMove extends DavCommand {

  public DavMove() {
    super();
    needDestSession = true;
  }
  
  protected boolean process() {
    boolean moved = destSession.move(srcSession);
    if (!moved) {
      davContext.answerForbidden();
    } else {
      davContext.answerCreated();
    }
    return moved;    
  }  
  
}
