package org.exoplatform.services.webdav.commands;

import org.exoplatform.services.webdav.request.RequestDocApi;
import org.exoplatform.services.webdav.structs.DMultistatus;

public class DavPropPatch extends DavCommand {

  protected boolean process() {    
    RequestDocApi requestDoc = davContext.getDocumentFromRequest();
    DMultistatus multistatus = srcSession.tryPropPatch(requestDoc);
    if (multistatus == null) {
      davContext.answerNotFound();
      return false;
    }
    davContext.answerMultistatus(multistatus);
    return true;    
  }
  
}
