package org.exoplatform.services.webdav.request;

import java.util.ArrayList;

import org.w3c.dom.Document;

public class CommonPropDoc implements RequestDocApi {

  protected ArrayList<String> propNames = new ArrayList<String>();
  
  public CommonPropDoc() {
  }

  public boolean initFromDocument(Document requestDocument) {
    return false;
  }
  
  public boolean isPropertyExist(String propertyName) {
    if (propNames.contains(propertyName)) {
      return true;
    }
    return false;
  }
  
  public void addProperty(String propertyName) {
    propNames.add(propertyName);
  }
  
  public ArrayList<String> getProperties() {
    return propNames;
  }  
  
}
