package org.exoplatform.services.webdav.structs;

import java.util.ArrayList;

import org.exoplatform.services.webdav.DavConst;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

public class DMultistatus {
  
  private ArrayList<DResponse> responses = null;
  
  public DMultistatus(ArrayList<DResponse> responses) {
    this.responses = responses;
  }
  
  public void toXml(Document rootDoc) {
    Element multistatusElement = rootDoc.createElementNS(DavConst.DAV_NAMESPACE, DavConst.DAV_PREFIX + DavConst.DavProperty.MULTISTATUS);
    rootDoc.appendChild(multistatusElement);
    
    for (DResponse curResponse : responses) {
      curResponse.toXml(rootDoc, multistatusElement);    
      
    }

  }
  
}
