package org.exoplatform.frameworks.davclient.commands;

import org.exoplatform.frameworks.davclient.Const;
import org.exoplatform.frameworks.davclient.ServerLocation;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

public class DavOptions extends DavCommand {

  public DavOptions(ServerLocation location) throws Exception {
    super(location);
    commandName = Const.DavCommand.OPTIONS;
  }
  
  public void finalExecute() {
  }
  
  public Document toXml(Document xmlDocument) {
    Element optionsEl = xmlDocument.createElementNS(Const.Dav.NAMESPACE, Const.Dav.PREFIX + commandName);
    optionsEl.setAttribute(Const.Dav.NAMESPACEATTR, Const.Dav.NAMESPACE);
    xmlDocument.appendChild(optionsEl);    
    return xmlDocument;
  }
  
}
