package org.exoplatform.frameworks.davclient.properties;

import org.exoplatform.frameworks.davclient.Const;
import org.w3c.dom.Node;

public class CheckedOutProp extends CommonProp {

  protected boolean checkedOut = false;

  public CheckedOutProp() {
    this.propertyName = Const.DavProp.CHECKEDOUT;
  }
  
  public boolean init(Node node) {
    if (status != Const.HttpStatus.OK) {
      return false;
    }
    checkedOut = true;
    return true;
  }
  
  public boolean isCheckedOut() {
    return checkedOut;
  }
  
}
