package org.exoplatform.frameworks.davclient.properties;

import org.exoplatform.frameworks.davclient.Const;
import org.w3c.dom.Node;

public class CommonProp implements PropApi {

  protected String propertyName;
  protected int status = Const.HttpStatus.NOTFOUND;
  
  public CommonProp() {
  }
  
  public CommonProp(String propertyName) {
    this.propertyName = propertyName;
  }
  
  public void setStatus(String httpStatus) {
    String []statusPart = httpStatus.split(" ");
    status = new Integer(statusPart[1]);    
  }

  public void setStatus(int status) {
    this.status = status;
  }

  public int getStatus() {
    return status;
  }

  public String getName() {
    return propertyName;
  }
  
  public boolean init(Node node) {
    return false;
  }
  
}
