package org.exoplatform.frameworks.davclient.properties;

import org.exoplatform.frameworks.davclient.Const;
import org.w3c.dom.Node;

public class ContentTypeProp extends CommonProp {

  protected String contentType = "";

  public ContentTypeProp() {
    this.propertyName = Const.DavProp.GETCONTENTTYPE;
  }
  
  public boolean init(Node node) {
    if (status != Const.HttpStatus.OK) {
      return false;
    }
    contentType = node.getTextContent();
    return true;
  }    
  
  public String getContentType() {
    return contentType;
  }
  
}
