/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 */
package org.exoplatform.services.jcr.dataflow.persistent;

import java.util.Calendar;

import org.exoplatform.services.jcr.dataflow.DataManager;


/**
 * Created by The eXo Platform SARL        .
 *
 * @author <a href="mailto:geaz@users.sourceforge.net">Gennady Azarenkov</a>
 * @version $Id: WorkspaceStorageDataManager.java 7373 2006-07-27 08:35:03Z geaz $
 */
public abstract interface WorkspaceStorageDataManager extends DataManager {
  
  /**
   * @return current time
   */
  Calendar getCurrentTime();
  
  /**
   * adds listener for persist data event
   * @param listener
   */
  void addItemPersistenceListener(ItemsPersistenceListener listener);

}
