/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 */

package org.exoplatform.services.jcr.datamodel;

/**
 * Created by The eXo Platform SARL        .
 * @author <a href="mailto:gennady.azarenkov@exoplatform.com">Gennady Azarenkov</a>
 * @version $Id: Uuid.java 7543 2006-08-03 09:54:54Z geaz $
 */
public class Uuid {

  private final String string;

  public Uuid(String stringValue) {
    this.string = stringValue;
  }

  public Uuid(byte[] value) {
    this.string = new String(value);
  }

  /**
   * @return Returns the stringValue.
   */
  public String getString() {
    return string;
  }
}
