/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 */

package org.exoplatform.services.jcr.storage.value;

import org.exoplatform.services.jcr.datamodel.InternalQPath;

/**
 * Created by The eXo Platform SARL        .
 * @author <a href="mailto:gennady.azarenkov@exoplatform.com">Gennady Azarenkov</a>
 * @version $Id: PropertyLocation.java 8547 2006-09-04 13:57:18Z peterit $
 */

public final class PropertyLocation {
  
  private final InternalQPath qPath;
  private final String id;
  
  public PropertyLocation(final InternalQPath path, final String id) {
    qPath = path;
    this.id = id;
  }

  public String getId() {
    return id;
  }

  public InternalQPath getQPath() {
    return qPath;
  }

}
