package org.exoplatform.services.webdav.commands;

public class DavCheckOut extends DavCommand {

  protected boolean process() {
    boolean checkedOut = srcSession.tryCheckOut();
    if (!checkedOut) {
      davContext.answerPreconditionFailed();
    } else {
      davContext.answerOk();
    }    
    return checkedOut;    
  }
  
}
