package org.exoplatform.services.webdav.commands;

public class DavUnLock extends DavCommand {

  protected boolean process() {
    
    boolean unlocked = srcSession.tryUnLock();
    if (!unlocked) {
      davContext.answerForbidden();
    } else {
      davContext.answerNoContent();
    }
    
    return unlocked;    
  }
  
}
