package org.exoplatform.services.webdav.commands;

public class DavVersionControl extends DavCommand {

  protected boolean process() {
    boolean versionable = srcSession.setVersionable();
    if (!versionable) {
      davContext.answerForbidden();
    } else {
      davContext.answerOk();
    }    
    return versionable;    
  }
  
}
