package org.exoplatform.services.webdav.props;

import javax.jcr.Node;

import org.apache.commons.logging.Log;
import org.exoplatform.services.log.ExoLogger;
import org.exoplatform.services.webdav.DavConst;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

public class CreatorDisplayNameProp extends CommonProp {

  private static Log log = ExoLogger.getLogger("jcr.CreatorDisplayNameProp");
  protected String creatorDisplayName = "";
  
  public CreatorDisplayNameProp() {
    super(DavConst.DavProperty.CREATORDISPLAYNAME);
  }
  
  @Override
  public boolean fillFromNode(Node node, String href) {
    creatorDisplayName = "*** gavrik-vetal@mail.ru ***";
    status = DavConst.HttpStatus.OK;
    return false;
  }  
  
  @Override
  public void toXml(Document rootDoc, Element parentElement) {
    super.toXml(rootDoc, parentElement);
    if (status != DavConst.HttpStatus.OK) {
      return;
    }
    propertyElement.setTextContent(creatorDisplayName);
  }
  
}
