package org.exoplatform.services.webdav.props;

import javax.jcr.Node;

import org.apache.commons.logging.Log;
import org.exoplatform.services.log.ExoLogger;
import org.exoplatform.services.webdav.DavConst;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

public class VersionHistoryProp extends CommonProp {

  private static Log log = ExoLogger.getLogger("jcr.VersionHistoryProp");
  
  public VersionHistoryProp() {
    super(DavConst.DavProperty.VERSIONHISTORY);
  }
  
  @Override
  public boolean fillFromNode(Node node, String href) {
    return false;
  }  
  
  @Override
  public void toXml(Document rootDoc, Element parentElement) {
    super.toXml(rootDoc, parentElement);
  }
  
}
